PATCH/projects/api/v3/jobroles/:id/cost-rates.json

Set cost rates for a job role.

Body Params

CostRatesRequest represents a request to set cost rates for a job role.

    • Name
      costRateByCurrencyId
      Type
      dictionary[string, CostRateAmount]
      Description
      CostRateAmount represents the amount for a specific currency.

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      JobRoleCostRatesResponse contains the response for cost rates.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Description
      404 Not Found No Data

    Examples

    200 OK

    JobRoleCostRatesResponse
    {
      "costRateByCurrencyId": {
        "additionalProp": {
          "createdAt": "string",
          "createdByUserId": 0,
          "rate": {
            "amount": 0,
            "currency": {
              "id": 0,
              "meta": {},
              "type": "string"
            }
          },
          "updatedAt": "string",
          "updatedByUserId": 0
        }
      },
      "included": {
        "currencies": {
          "additionalProp": {
            "code": "string",
            "decimalPoints": 0,
            "id": 0,
            "name": "string",
            "symbol": "string"
          }
        }
      }
    }